Skip to content

Simulate verifying a KYC review

Request

Verifies requirement(s) on an existing KYC (Know Your Customer) review. Can be used after a user has provided input for a requirement through the hosted journey or simulated the requirement submission.

Security
UserToken
Path
profileIdinteger, (int64)required

The profile ID.

kycReviewIdstring, (uuid)required

The ID of the existing KYC review.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
Bodyapplication/jsonrequired
requestedActionstring

The action to be carried out.

Enum:"APPROVE""REJECT"
requirementsArray of strings

Zero or more requirements to be verified. If not provided, all blocking requirements are verified.

curl -i -X POST \
  'https://api.wise.com/v2/simulation/profiles/{profileId}/kyc-reviews/{kycReviewId}/verify' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479' \
  -d '{
    "requestedAction": "APPROVE",
    "requirements": [
      "ACCOUNT_PURPOSE_V2"
    ]
  }'

Responses

KYC review verified successfully. No content returned.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Response
No content